=== debian/changelog ===
nss (2:3.49.1-1ubuntu1) focal; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/libnss3.links: make freebl3 available as library (LP #1744328)
    - d/control: add dh-exec to Build-Depends
    - d/rules: make mkdir tolerate debian/tmp existing (due to dh-exec)
    - Disable reading fips_enabled flag in FIPS mode. libnss is
      not a FIPS certified library. (LP #1837734)
    - Set TLSv1.2 as minimum TLS version. LP #1856428

 -- Lucas Kanashiro <lucas.kanashiro@canonical.com>  Wed, 22 Jan 2020 16:24:44 -0300

nss (2:3.49.1-1) unstable; urgency=medium

  * New upstream release.
  * nss/lib/freebl/Makefile: Revert change from 2:3.48-1.
  * nss/coreconf/config.gypi, nss/lib/freebl/Makefile,
    nss/lib/freebl/aes-armv8.c, nss/lib/freebl/freebl.gyp,
    nss/lib/freebl/gcm-arm32-neon.c, nss/lib/freebl/gcm.c,
    nss/lib/freebl/rijndael.c: Fix freebl arm NEON code use, fixing FTBFS
    on armhf, and enabling runtime detection of NEON on armel. bz#1608327

 -- Mike Hommey <glandium@debian.org>  Wed, 22 Jan 2020 15:13:40 +0900

nss (2:3.49-1) unstable; urgency=medium

  * New upstream release.
  * Fixes CVE-2019-17023.

 -- Mike Hommey <glandium@debian.org>  Thu, 09 Jan 2020 13:46:11 +0900

nss (2:3.48-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/libnss3.links: make freebl3 available as library (LP #1744328)
    - d/control: add dh-exec to Build-Depends
    - d/rules: make mkdir tolerate debian/tmp existing (due to dh-exec)
    - Disable reading fips_enabled flag in FIPS mode. libnss is
      not a FIPS certified library. (LP #1837734)
  * Set TLSv1.2 as minimum TLS version. LP: #1856428

 -- Ubuntu Merge-o-Matic <mom@ubuntu.com>  Sun, 29 Dec 2019 03:43:36 +0000

nss (2:3.48-1) unstable; urgency=medium

  * New upstream release. Closes: #947131.
  * debian/control: Bump nspr build dependency to 4.24.
  * nss/lib/freebl/Makefile: Disable hardware AES on ARM softfloat to fix
    FTBFS on armel. Closes: #947246.

 -- Mike Hommey <glandium@debian.org>  Sun, 29 Dec 2019 07:40:46 +0900

nss (2:3.47.1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes CVE-2019-11745.

 -- Mike Hommey <glandium@debian.org>  Wed, 04 Dec 2019 09:00:54 +0900

nss (2:3.47-1ubuntu2) focal; urgency=medium

  * SECURITY UPDATE: out-of-bounds write in NSC_EncryptUpdate
    - debian/patches/CVE-2019-11745.patch: use maxout not block size in
      nss/lib/softoken/pkcs11c.c.
    - CVE-2019-11745

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 26 Nov 2019 08:31:39 -0500

nss (2:3.47-1ubuntu1) focal; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/libnss3.links: make freebl3 available as library (LP #1744328)
    - d/control: add dh-exec to Build-Depends
    - d/rules: make mkdir tolerate debian/tmp existing (due to dh-exec)
    - Disable reading fips_enabled flag in FIPS mode. libnss is
      not a FIPS certified library. (LP #1837734)

 -- Lucas Kanashiro <lucas.kanashiro@canonical.com>  Thu, 31 Oct 2019 16:18:35 -0300

nss (2:3.47-1) unstable; urgency=medium

  * New upstream release.
  * debian/libnss3.symbols: Add NSS_3_47 symbol version.

 -- Mike Hommey <glandium@debian.org>  Wed, 23 Oct 2019 11:19:59 +0900
