=== debian/changelog ===
nss (2:3.49.1-1ubuntu1+9.0trisquel1) etiona-backports; urgency=medium

  * Backported from Focal

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 30 Mar 2020 01:21:49 +0000
