## nss 3.58

=== debian/changelog ===
nss (2:3.58-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 12 Nov 2020 14:50:26 -0800

nss (2:3.58-1) unstable; urgency=medium

  * New upstream release.
  * debian/libnss3.symbols: Add NSS_3_58 symbol version.

 -- Mike Hommey <glandium@debian.org>  Wed, 21 Oct 2020 08:04:53 +0900

nss (2:3.56-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Thu, 03 Sep 2020 10:55:04 +0900
